Skip to main content
POST
/
org
/
{org}
/
gvc
/
{gvc}
/
identity
Create
curl --request POST \
  --url https://api.cpln.io/org/{org}/gvc/{gvc}/identity \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "tags": {},
  "aws": {
    "cloudAccountLink": "<string>",
    "policyRefs": [
      "<string>"
    ],
    "trustPolicy": {
      "Version": "2012-10-17",
      "Statement": [
        {}
      ]
    },
    "roleName": "<string>",
    "mirrors": [
      {
        "cloudAccountLink": "<string>",
        "policyRefs": [
          "<string>"
        ]
      }
    ]
  },
  "gcp": {
    "cloudAccountLink": "<string>",
    "scopes": [
      "<string>"
    ],
    "serviceAccount": "<string>",
    "bindings": [
      {
        "resource": "<string>",
        "roles": [
          "<string>"
        ]
      }
    ],
    "mirrors": [
      {
        "cloudAccountLink": "<string>",
        "bindings": [
          {
            "resource": "<string>",
            "roles": [
              "<string>"
            ]
          }
        ]
      }
    ]
  },
  "azure": {
    "cloudAccountLink": "<string>",
    "roleAssignments": [
      {
        "scope": "<string>",
        "roles": [
          "<string>"
        ]
      }
    ],
    "mirrors": [
      {
        "cloudAccountLink": "<string>",
        "roleAssignments": {
          "scope": "<string>",
          "roles": [
            "<string>"
          ]
        }
      }
    ]
  },
  "networkResources": [
    {
      "name": "<unknown>",
      "agentLink": "<string>",
      "IPs": [
        "<string>"
      ],
      "FQDN": "<string>",
      "resolverIP": "<string>",
      "ports": [
        123
      ]
    }
  ]
}
'
{
  "status": 123,
  "message": "<string>",
  "type": "<string>",
  "details": {},
  "id": "<string>"
}

Authorizations

Authorization
string
header
required

Service account key can be used as API keys

Path Parameters

org
string
required
gvc
string
required

Body

application/json
name
string
Maximum string length: 64
description
string
tags
object
aws
object
gcp
object
azure
object
networkResources
object[]

Response

Identity was created successfully